com.impinj.stp

## Interface StpApi.TIDMemoryOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.TIDMemory, StpApi.TIDMemory.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.TIDMemoryOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.protobuf.ByteString` | `getData()` The data to write to a tag.
    `int` | `getWordOffset()` If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset
    `boolean` | `hasData()` The data to write to a tag.
    `boolean` | `hasWordOffset()` If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasData

          boolean hasData()

      The data to write to a tag. The length of this binary string must be a multiple of 16-bits

    - #### getData

          com.google.protobuf.ByteString getData()

      The data to write to a tag. The length of this binary string must be a multiple of 16-bits

    - #### hasWordOffset

          boolean hasWordOffset()

      If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset

    - #### getWordOffset

          int getWordOffset()

      If you don't want to start the data the beginning of memory, specify this offset so that the data and mask start at your specified word offset